using Model;

public class MockEmailService : IEmailService
{
    public MockEmailService(bool sendEmail)
    {
        SendEmail = sendEmail;
    }

    public string? EmailSentTo {get; private set; }

    private bool SendEmail {get; set;}

    public Task AskConfirmation(Nounours nounours)
    {
        if(SendEmail)
        {
            EmailSentTo = nounours.Email;
            return Task.CompletedTask;
        }
        else
        {
            throw new Exception();
        }
    }
}
