using Model;

namespace UTests2;

public class MockNounoursStore : INounoursStore
{
    public Func<Nounours?, Nounours?> Add {get; set;} = null!;
    public Func<Nounours?, bool> Remove {get; set;} = null!;
    Task<Nounours?> INounoursStore.Add(Nounours nounours)
    {
        if (Add != null)
        {
            return Task.FromResult(Add(nounours));
        }
        return Task.FromResult<Nounours?>(null);
    }

    Task<bool> INounoursStore.Remove(Nounours nounours)
    {
        if(Remove != null)
        {
            return Task.FromResult(Remove(nounours));
        }
        return Task.FromResult(false);
    }
}